# $Revision: 1.22 $, $Date: 2007/09/05 18:19:20 $
Summary:	GSSAPI interface using mechanisms from other GSSAPI implementations
Summary(pl.UTF-8):	Interfejs GSSAPI używający mechanizmów z innych implementacji GSSAPI
Name:		libgssglue
Version:	0.1
Release:	1
License:	BSD/MIT
Group:		Libraries
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/libgssglue/%{name}-%{version}.tar.gz
# Source0-md5:	ce1b4c758e6de01b712d154c5c97e540
Patch0:		%{name}-soname.patch
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Obsoletes:	libgssapi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library exports a GSSAPI interface, but doesn't implement any
GSSAPI mechanisms itself; instead it calls GSSAPI routines in other
libraries, depending on the mechanism.

%description -l pl.UTF-8
Ta biblioteka eksportuje interfejs GSSAPI, ale sama nie implementuje
żadnego mechanizmu GSSAPI - zamiast tego wywołuje funkcje GSSAPI z
innych bibliotek, w zależności od mechanizmu.

%package devel
Summary:	Development files for libgssglue library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libgssglue
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgssapi-devel

%description devel
Development files for libgssglue library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libgssglue.

%package static
Summary:	Static libgssglue library
Summary(pl.UTF-8):	Statyczna biblioteka libgssglue
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libgssapi-static

%description static
Static libgssglue library.

%description static -l pl.UTF-8
Statyczna biblioteka libgssglue.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -e 's|lib|%{_lib}|g' doc/gssapi_mech.conf > $RPM_BUILD_ROOT%{_sysconfdir}/gssapi_mech.conf

mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.* $RPM_BUILD_ROOT/%{_lib}
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -sf /%{_lib}/`(cd $RPM_BUILD_ROOT/%{_lib}; echo lib*.so.*.*)` \
	$RPM_BUILD_ROOT%{_libdir}/libgssglue.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) /%{_lib}/libgssglue.so.*.*
%ghost %attr(755,root,root) /%{_lib}/libgssglue.so.?
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gssapi_mech.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgssglue.so
%{_libdir}/libgssglue.la
%{_includedir}/gssglue
%{_pkgconfigdir}/libgssglue.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgssglue.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgssglue.spec,v $
Revision 1.22  2007/09/05 18:19:20  qboosh
- license is BSD (for UM code) and MIT (for Sun and MIT code)

Revision 1.21  2007/09/05 17:57:39  qboosh
- updated libgssapi to libgssglue 0.1 (now supports heimdal, lib name conflict is gone)

Revision 1.20  2007/04/29 16:49:55  qboosh
- removed unused BRs

Revision 1.19  2007/04/24 12:07:37  baggins
- up to 0.11
- moved library to /lib (needed for libtirpc/rpcbind)

Revision 1.18  2007/03/30 23:24:56  baggins
- create sysconfdir

Revision 1.17  2007/03/30 23:23:33  baggins
- fix config file

Revision 1.16  2007/03/30 23:17:37  baggins
- rel 2

Revision 1.15  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.13  2006/06/28 11:14:05  qboosh
- updated to 0.10

Revision 1.12  2006/04/17 08:33:04  qboosh
- updated to 0.9

Revision 1.11  2006/04/06 20:19:54  qboosh
- updated to 0.8

Revision 1.10  2005/12/21 20:13:43  qboosh
- updated to 0.7

Revision 1.9  2005/12/09 19:11:39  qboosh
- use Linux-specific config file name

Revision 1.8  2005/12/08 22:21:14  qboosh
- updated to 0.6 (now dlopens particular GSSAPI implementation lib)
- removed outdated configure patch

Revision 1.7  2005/10/05 23:04:14  qboosh
- updated to 0.5

Revision 1.6  2005/08/06 10:51:54  qboosh
- updated to 0.4

Revision 1.5  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.4  2005/05/04 17:53:16  qboosh
- updated to 0.3, updated configure patch

Revision 1.3  2005/03/29 16:17:48  qboosh
- updated to 0.2, updated configure patch

Revision 1.2  2005/02/28 21:13:33  qboosh
- desc fix: actually no header files in -devel

Revision 1.1  2004/12/22 16:55:49  qboosh
- new
